/*===========================================================================*/
/*   (Llib/process.scm)                                                      */
/*   Bigloo (4.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 19 09:11:58 AM CET 2026     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.7a/bin/bigloo -srfi bigloo-safe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.7a/lib/bigloo/4.7a +rm -O3 -mklib -cc gcc -fsharing -q -unsafev -eval (set! *indent* 4) -stdc -c Llib/process.scm -indent -o objs/obj_s/Llib/process.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___PROCESS_TYPE_DEFINITIONS
#define BGL___PROCESS_TYPE_DEFINITIONS
#endif // BGL___PROCESS_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

extern obj_t c_process_xstatus(obj_t);
extern obj_t c_process_list(void);
extern obj_t bstring_to_keyword(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__processz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_processzd2errorzd2portz00zz__processz00(obj_t);
static obj_t BGl_z62processzd2pidzb0zz__processz00(obj_t, obj_t);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__processz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_z62processzd2killzb0zz__processz00(obj_t, obj_t);
static obj_t BGl_z62runzd2processzb0zz__processz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62processzd2sendzd2signalz62zz__processz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62processzd2waitzb0zz__processz00(obj_t, obj_t);
static obj_t BGl_z62processzd2errorzd2portz62zz__processz00(obj_t, obj_t);
static obj_t BGl_z62processzd2stopzb0zz__processz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2killzd2zz__processz00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_processzf3zf3zz__processz00(obj_t);
static obj_t BGl_z62processzd2outputzd2portz62zz__processz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__processz00(void);
static obj_t BGl_genericzd2initzd2zz__processz00(void);
BGL_EXPORTED_DECL bool_t BGl_processzd2waitzd2zz__processz00(obj_t);
extern obj_t c_process_kill(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__processz00(void);
static obj_t BGl_z62closezd2processzd2portsz62zz__processz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2inputzd2portz00zz__processz00(obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__processz00(void);
BGL_EXPORTED_DECL obj_t BGl_processzd2nilzd2zz__processz00(void);
BGL_EXPORTED_DECL obj_t BGl_processzd2stopzd2zz__processz00(obj_t);
static obj_t BGl_keyword1709z00zz__processz00 = BUNSPEC;
static obj_t BGl_objectzd2initzd2zz__processz00(void);
static obj_t BGl_z62processzd2exitzd2statusz62zz__processz00(obj_t, obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_keyword1713z00zz__processz00 = BUNSPEC;
extern obj_t c_process_wait(obj_t);
static obj_t BGl_keyword1717z00zz__processz00 = BUNSPEC;
static obj_t BGl_keyword1719z00zz__processz00 = BUNSPEC;
extern obj_t bgl_reverse_bang(obj_t);
extern obj_t bgl_process_nil(void);
static obj_t BGl_z62processzd2alivezf3z43zz__processz00(obj_t, obj_t);
extern obj_t c_process_stop(obj_t);
static obj_t BGl_keyword1721z00zz__processz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_processzd2continuezd2zz__processz00(obj_t);
static obj_t BGl_keyword1723z00zz__processz00 = BUNSPEC;
static obj_t BGl_keyword1725z00zz__processz00 = BUNSPEC;
static obj_t BGl_z62processzd2inputzd2portz62zz__processz00(obj_t, obj_t);
static obj_t BGl_keyword1727z00zz__processz00 = BUNSPEC;
static obj_t BGl_keyword1729z00zz__processz00 = BUNSPEC;
extern obj_t c_process_continue(obj_t);
BGL_EXPORTED_DECL int BGl_processzd2pidzd2zz__processz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_unregisterzd2processzd2zz__processz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_runzd2processzd2zz__processz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__processz00(void);
static obj_t BGl_z62processzf3z91zz__processz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2sendzd2signalz00zz__processz00(obj_t, int);
extern obj_t c_unregister_process(obj_t);
extern obj_t c_run_process(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62unregisterzd2processzb0zz__processz00(obj_t, obj_t);
extern obj_t bgl_close_input_port(obj_t);
static obj_t BGl_z62processzd2listzb0zz__processz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2outputzd2portz00zz__processz00(obj_t);
extern obj_t c_process_send_signal(obj_t, int);
BGL_EXPORTED_DECL bool_t BGl_processzd2alivezf3z21zz__processz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_closezd2processzd2portsz00zz__processz00(obj_t);
static obj_t BGl_list1708z00zz__processz00 = BUNSPEC;
static obj_t BGl_z62processzd2nilzb0zz__processz00(obj_t);
static obj_t BGl_z62processzd2continuezb0zz__processz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2exitzd2statusz00zz__processz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2listzd2zz__processz00(void);
extern obj_t bgl_close_output_port(obj_t);
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
extern bool_t c_process_alivep(obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE(BGl_processzd2errorzd2portzd2envzd2zz__processz00, BgL_bgl_za762processza7d2err1739z00, BGl_z62processzd2errorzd2portz62zz__processz00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_processzd2nilzd2envz00zz__processz00, BgL_bgl_za762processza7d2nil1740z00, BGl_z62processzd2nilzb0zz__processz00, 0L, BUNSPEC, 0);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_processzd2killzd2envz00zz__processz00, BgL_bgl_za762processza7d2kil1741z00, BGl_z62processzd2killzb0zz__processz00, 0L, BUNSPEC, 1);
BGL_DEFINE_STRING(BGl_string1700z00zz__processz00, BgL_bgl_string1700za700za7za7_1742za7, "&process-alive?", 15 );
BGL_DEFINE_STRING(BGl_string1701z00zz__processz00, BgL_bgl_string1701za700za7za7_1743za7, "&process-wait", 13 );
BGL_DEFINE_STRING(BGl_string1702z00zz__processz00, BgL_bgl_string1702za700za7za7_1744za7, "&process-exit-status", 20 );
BGL_DEFINE_STRING(BGl_string1703z00zz__processz00, BgL_bgl_string1703za700za7za7_1745za7, "&process-send-signal", 20 );
BGL_DEFINE_STRING(BGl_string1704z00zz__processz00, BgL_bgl_string1704za700za7za7_1746za7, "bint", 4 );
BGL_DEFINE_STRING(BGl_string1705z00zz__processz00, BgL_bgl_string1705za700za7za7_1747za7, "&process-kill", 13 );
BGL_DEFINE_STRING(BGl_string1706z00zz__processz00, BgL_bgl_string1706za700za7za7_1748za7, "&process-stop", 13 );
BGL_DEFINE_STRING(BGl_string1707z00zz__processz00, BgL_bgl_string1707za700za7za7_1749za7, "&process-continue", 17 );
BGL_DEFINE_STRING(BGl_string1710z00zz__processz00, BgL_bgl_string1710za700za7za7_1750za7, "pipe", 4 );
BGL_DEFINE_STRING(BGl_string1711z00zz__processz00, BgL_bgl_string1711za700za7za7_1751za7, "loop", 4 );
BGL_DEFINE_STRING(BGl_string1712z00zz__processz00, BgL_bgl_string1712za700za7za7_1752za7, "pair", 4 );
BGL_DEFINE_STRING(BGl_string1714z00zz__processz00, BgL_bgl_string1714za700za7za7_1753za7, "wait", 4 );
BGL_DEFINE_STRING(BGl_string1715z00zz__processz00, BgL_bgl_string1715za700za7za7_1754za7, "run-process", 11 );
DEFINE_EXPORT_BGL_PROCEDURE(BGl_processzd2outputzd2portzd2envzd2zz__processz00, BgL_bgl_za762processza7d2out1755z00, BGl_z62processzd2outputzd2portz62zz__processz00, 0L, BUNSPEC, 1);
BGL_DEFINE_STRING(BGl_string1716z00zz__processz00, BgL_bgl_string1716za700za7za7_1756za7, "Illegal argument", 16 );
BGL_DEFINE_STRING(BGl_string1718z00zz__processz00, BgL_bgl_string1718za700za7za7_1757za7, "fork", 4 );
DEFINE_EXPORT_BGL_PROCEDURE(BGl_processzd2waitzd2envz00zz__processz00, BgL_bgl_za762processza7d2wai1758z00, BGl_z62processzd2waitzb0zz__processz00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_closezd2processzd2portszd2envzd2zz__processz00, BgL_bgl_za762closeza7d2proce1759z00, BGl_z62closezd2processzd2portsz62zz__processz00, 0L, BUNSPEC, 1);
BGL_DEFINE_STRING(BGl_string1720z00zz__processz00, BgL_bgl_string1720za700za7za7_1760za7, "input", 5 );
BGL_DEFINE_STRING(BGl_string1722z00zz__processz00, BgL_bgl_string1722za700za7za7_1761za7, "output", 6 );
BGL_DEFINE_STRING(BGl_string1724z00zz__processz00, BgL_bgl_string1724za700za7za7_1762za7, "null", 4 );
BGL_DEFINE_STRING(BGl_string1726z00zz__processz00, BgL_bgl_string1726za700za7za7_1763za7, "error", 5 );
BGL_DEFINE_STRING(BGl_string1728z00zz__processz00, BgL_bgl_string1728za700za7za7_1764za7, "host", 4 );
DEFINE_EXPORT_BGL_PROCEDURE(BGl_unregisterzd2processzd2envz00zz__processz00, BgL_bgl_za762unregisterza7d21765z00, BGl_z62unregisterzd2processzb0zz__processz00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_processzd2exitzd2statuszd2envzd2zz__processz00, BgL_bgl_za762processza7d2exi1766z00, BGl_z62processzd2exitzd2statusz62zz__processz00, 0L, BUNSPEC, 1);
BGL_DEFINE_STRING(BGl_string1730z00zz__processz00, BgL_bgl_string1730za700za7za7_1767za7, "env", 3 );
BGL_DEFINE_STRING(BGl_string1731z00zz__processz00, BgL_bgl_string1731za700za7za7_1768za7, "&run-process", 12 );
BGL_DEFINE_STRING(BGl_string1732z00zz__processz00, BgL_bgl_string1732za700za7za7_1769za7, "bstring", 7 );
BGL_DEFINE_STRING(BGl_string1733z00zz__processz00, BgL_bgl_string1733za700za7za7_1770za7, "close-process-ports", 19 );
BGL_DEFINE_STRING(BGl_string1734z00zz__processz00, BgL_bgl_string1734za700za7za7_1771za7, "output-port", 11 );
BGL_DEFINE_STRING(BGl_string1735z00zz__processz00, BgL_bgl_string1735za700za7za7_1772za7, "input-port", 10 );
BGL_DEFINE_STRING(BGl_string1736z00zz__processz00, BgL_bgl_string1736za700za7za7_1773za7, "&close-process-ports", 20 );
BGL_DEFINE_STRING(BGl_string1737z00zz__processz00, BgL_bgl_string1737za700za7za7_1774za7, "&unregister-process", 19 );
BGL_DEFINE_STRING(BGl_string1738z00zz__processz00, BgL_bgl_string1738za700za7za7_1775za7, "__process", 9 );
DEFINE_EXPORT_BGL_PROCEDURE(BGl_processzd2continuezd2envz00zz__processz00, BgL_bgl_za762processza7d2con1776z00, BGl_z62processzd2continuezb0zz__processz00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_processzf3zd2envz21zz__processz00, BgL_bgl_za762processza7f3za7911777za7, BGl_z62processzf3z91zz__processz00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_processzd2alivezf3zd2envzf3zz__processz00, BgL_bgl_za762processza7d2ali1778z00, BGl_z62processzd2alivezf3z43zz__processz00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_processzd2pidzd2envz00zz__processz00, BgL_bgl_za762processza7d2pid1779z00, BGl_z62processzd2pidzb0zz__processz00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_processzd2inputzd2portzd2envzd2zz__processz00, BgL_bgl_za762processza7d2inp1780z00, BGl_z62processzd2inputzd2portz62zz__processz00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_processzd2stopzd2envz00zz__processz00, BgL_bgl_za762processza7d2sto1781z00, BGl_z62processzd2stopzb0zz__processz00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_runzd2processzd2envz00zz__processz00, BgL_bgl_za762runza7d2process1782z00, va_generic_entry, BGl_z62runzd2processzb0zz__processz00, BUNSPEC, -2);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_processzd2listzd2envz00zz__processz00, BgL_bgl_za762processza7d2lis1783z00, BGl_z62processzd2listzb0zz__processz00, 0L, BUNSPEC, 0);
BGL_DEFINE_STRING(BGl_string1694z00zz__processz00, BgL_bgl_string1694za700za7za7_1784za7, "/tmp/bigloo/runtime/Llib/process.scm", 36 );
BGL_DEFINE_STRING(BGl_string1695z00zz__processz00, BgL_bgl_string1695za700za7za7_1785za7, "&process-pid", 12 );
BGL_DEFINE_STRING(BGl_string1696z00zz__processz00, BgL_bgl_string1696za700za7za7_1786za7, "process", 7 );
BGL_DEFINE_STRING(BGl_string1697z00zz__processz00, BgL_bgl_string1697za700za7za7_1787za7, "&process-output-port", 20 );
BGL_DEFINE_STRING(BGl_string1698z00zz__processz00, BgL_bgl_string1698za700za7za7_1788za7, "&process-input-port", 19 );
BGL_DEFINE_STRING(BGl_string1699z00zz__processz00, BgL_bgl_string1699za700za7za7_1789za7, "&process-error-port", 19 );
DEFINE_EXPORT_BGL_PROCEDURE(BGl_processzd2sendzd2signalzd2envzd2zz__processz00, BgL_bgl_za762processza7d2sen1790z00, BGl_z62processzd2sendzd2signalz62zz__processz00, 0L, BUNSPEC, 2);

/* contant bindings */
static void bgl_constant_bindings() {
BGL_BIND_PROCEDURE(BGl_processzd2sendzd2signalzd2envzd2zz__processz00, BgL_bgl_za762processza7d2sen1790z00);
BGL_BIND_STRING(BGl_string1699z00zz__processz00, BgL_bgl_string1699za700za7za7_1789za7);
BGL_BIND_STRING(BGl_string1698z00zz__processz00, BgL_bgl_string1698za700za7za7_1788za7);
BGL_BIND_STRING(BGl_string1697z00zz__processz00, BgL_bgl_string1697za700za7za7_1787za7);
BGL_BIND_STRING(BGl_string1696z00zz__processz00, BgL_bgl_string1696za700za7za7_1786za7);
BGL_BIND_STRING(BGl_string1695z00zz__processz00, BgL_bgl_string1695za700za7za7_1785za7);
BGL_BIND_STRING(BGl_string1694z00zz__processz00, BgL_bgl_string1694za700za7za7_1784za7);
BGL_BIND_PROCEDURE(BGl_processzd2listzd2envz00zz__processz00, BgL_bgl_za762processza7d2lis1783z00);
BGL_BIND_PROCEDURE(BGl_runzd2processzd2envz00zz__processz00, BgL_bgl_za762runza7d2process1782z00);
BGL_BIND_PROCEDURE(BGl_processzd2stopzd2envz00zz__processz00, BgL_bgl_za762processza7d2sto1781z00);
BGL_BIND_PROCEDURE(BGl_processzd2inputzd2portzd2envzd2zz__processz00, BgL_bgl_za762processza7d2inp1780z00);
BGL_BIND_PROCEDURE(BGl_processzd2pidzd2envz00zz__processz00, BgL_bgl_za762processza7d2pid1779z00);
BGL_BIND_PROCEDURE(BGl_processzd2alivezf3zd2envzf3zz__processz00, BgL_bgl_za762processza7d2ali1778z00);
BGL_BIND_PROCEDURE(BGl_processzf3zd2envz21zz__processz00, BgL_bgl_za762processza7f3za7911777za7);
BGL_BIND_PROCEDURE(BGl_processzd2continuezd2envz00zz__processz00, BgL_bgl_za762processza7d2con1776z00);
BGL_BIND_STRING(BGl_string1738z00zz__processz00, BgL_bgl_string1738za700za7za7_1775za7);
BGL_BIND_STRING(BGl_string1737z00zz__processz00, BgL_bgl_string1737za700za7za7_1774za7);
BGL_BIND_STRING(BGl_string1736z00zz__processz00, BgL_bgl_string1736za700za7za7_1773za7);
BGL_BIND_STRING(BGl_string1735z00zz__processz00, BgL_bgl_string1735za700za7za7_1772za7);
BGL_BIND_STRING(BGl_string1734z00zz__processz00, BgL_bgl_string1734za700za7za7_1771za7);
BGL_BIND_STRING(BGl_string1733z00zz__processz00, BgL_bgl_string1733za700za7za7_1770za7);
BGL_BIND_STRING(BGl_string1732z00zz__processz00, BgL_bgl_string1732za700za7za7_1769za7);
BGL_BIND_STRING(BGl_string1731z00zz__processz00, BgL_bgl_string1731za700za7za7_1768za7);
BGL_BIND_STRING(BGl_string1730z00zz__processz00, BgL_bgl_string1730za700za7za7_1767za7);
BGL_BIND_PROCEDURE(BGl_processzd2exitzd2statuszd2envzd2zz__processz00, BgL_bgl_za762processza7d2exi1766z00);
BGL_BIND_PROCEDURE(BGl_unregisterzd2processzd2envz00zz__processz00, BgL_bgl_za762unregisterza7d21765z00);
BGL_BIND_STRING(BGl_string1728z00zz__processz00, BgL_bgl_string1728za700za7za7_1764za7);
BGL_BIND_STRING(BGl_string1726z00zz__processz00, BgL_bgl_string1726za700za7za7_1763za7);
BGL_BIND_STRING(BGl_string1724z00zz__processz00, BgL_bgl_string1724za700za7za7_1762za7);
BGL_BIND_STRING(BGl_string1722z00zz__processz00, BgL_bgl_string1722za700za7za7_1761za7);
BGL_BIND_STRING(BGl_string1720z00zz__processz00, BgL_bgl_string1720za700za7za7_1760za7);
BGL_BIND_PROCEDURE(BGl_closezd2processzd2portszd2envzd2zz__processz00, BgL_bgl_za762closeza7d2proce1759z00);
BGL_BIND_PROCEDURE(BGl_processzd2waitzd2envz00zz__processz00, BgL_bgl_za762processza7d2wai1758z00);
BGL_BIND_STRING(BGl_string1718z00zz__processz00, BgL_bgl_string1718za700za7za7_1757za7);
BGL_BIND_STRING(BGl_string1716z00zz__processz00, BgL_bgl_string1716za700za7za7_1756za7);
BGL_BIND_PROCEDURE(BGl_processzd2outputzd2portzd2envzd2zz__processz00, BgL_bgl_za762processza7d2out1755z00);
BGL_BIND_STRING(BGl_string1715z00zz__processz00, BgL_bgl_string1715za700za7za7_1754za7);
BGL_BIND_STRING(BGl_string1714z00zz__processz00, BgL_bgl_string1714za700za7za7_1753za7);
BGL_BIND_STRING(BGl_string1712z00zz__processz00, BgL_bgl_string1712za700za7za7_1752za7);
BGL_BIND_STRING(BGl_string1711z00zz__processz00, BgL_bgl_string1711za700za7za7_1751za7);
BGL_BIND_STRING(BGl_string1710z00zz__processz00, BgL_bgl_string1710za700za7za7_1750za7);
BGL_BIND_STRING(BGl_string1707z00zz__processz00, BgL_bgl_string1707za700za7za7_1749za7);
BGL_BIND_STRING(BGl_string1706z00zz__processz00, BgL_bgl_string1706za700za7za7_1748za7);
BGL_BIND_STRING(BGl_string1705z00zz__processz00, BgL_bgl_string1705za700za7za7_1747za7);
BGL_BIND_STRING(BGl_string1704z00zz__processz00, BgL_bgl_string1704za700za7za7_1746za7);
BGL_BIND_STRING(BGl_string1703z00zz__processz00, BgL_bgl_string1703za700za7za7_1745za7);
BGL_BIND_STRING(BGl_string1702z00zz__processz00, BgL_bgl_string1702za700za7za7_1744za7);
BGL_BIND_STRING(BGl_string1701z00zz__processz00, BgL_bgl_string1701za700za7za7_1743za7);
BGL_BIND_STRING(BGl_string1700z00zz__processz00, BgL_bgl_string1700za700za7za7_1742za7);
BGL_BIND_PROCEDURE(BGl_processzd2killzd2envz00zz__processz00, BgL_bgl_za762processza7d2kil1741z00);
BGL_BIND_PROCEDURE(BGl_processzd2nilzd2envz00zz__processz00, BgL_bgl_za762processza7d2nil1740z00);
BGL_BIND_PROCEDURE(BGl_processzd2errorzd2portzd2envzd2zz__processz00, BgL_bgl_za762processza7d2err1739z00);
}

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__processz00) );
ADD_ROOT( (void *)(&BGl_keyword1709z00zz__processz00) );
ADD_ROOT( (void *)(&BGl_keyword1713z00zz__processz00) );
ADD_ROOT( (void *)(&BGl_keyword1717z00zz__processz00) );
ADD_ROOT( (void *)(&BGl_keyword1719z00zz__processz00) );
ADD_ROOT( (void *)(&BGl_keyword1721z00zz__processz00) );
ADD_ROOT( (void *)(&BGl_keyword1723z00zz__processz00) );
ADD_ROOT( (void *)(&BGl_keyword1725z00zz__processz00) );
ADD_ROOT( (void *)(&BGl_keyword1727z00zz__processz00) );
ADD_ROOT( (void *)(&BGl_keyword1729z00zz__processz00) );
ADD_ROOT( (void *)(&BGl_list1708z00zz__processz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__processz00(long BgL_checksumz00_1925, char * BgL_fromz00_1926)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__processz00))
{ 
BGl_requirezd2initializa7ationz75zz__processz00 = 
BBOOL(((bool_t)0)); 
bgl_constant_bindings(); 
BGl_gczd2rootszd2initz00zz__processz00(); 
BGl_cnstzd2initzd2zz__processz00(); 
BGl_importedzd2moduleszd2initz00zz__processz00(); 
return 
BGl_methodzd2initzd2zz__processz00();}  else 
{ 
return BUNSPEC;} } 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__processz00(void)
{
{ /* Llib/process.scm 15 */
BGl_keyword1709z00zz__processz00 = 
bstring_to_keyword(BGl_string1710z00zz__processz00); 
BGl_list1708z00zz__processz00 = 
MAKE_YOUNG_PAIR(BGl_keyword1709z00zz__processz00, BNIL); 
BGl_keyword1713z00zz__processz00 = 
bstring_to_keyword(BGl_string1714z00zz__processz00); 
BGl_keyword1717z00zz__processz00 = 
bstring_to_keyword(BGl_string1718z00zz__processz00); 
BGl_keyword1719z00zz__processz00 = 
bstring_to_keyword(BGl_string1720z00zz__processz00); 
BGl_keyword1721z00zz__processz00 = 
bstring_to_keyword(BGl_string1722z00zz__processz00); 
BGl_keyword1723z00zz__processz00 = 
bstring_to_keyword(BGl_string1724z00zz__processz00); 
BGl_keyword1725z00zz__processz00 = 
bstring_to_keyword(BGl_string1726z00zz__processz00); 
BGl_keyword1727z00zz__processz00 = 
bstring_to_keyword(BGl_string1728z00zz__processz00); 
return ( 
BGl_keyword1729z00zz__processz00 = 
bstring_to_keyword(BGl_string1730z00zz__processz00), BUNSPEC) ;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__processz00(void)
{
{ /* Llib/process.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* process? */
BGL_EXPORTED_DEF bool_t BGl_processzf3zf3zz__processz00(obj_t BgL_objz00_3)
{
{ /* Llib/process.scm 123 */
return 
PROCESSP(BgL_objz00_3);} 

}



/* &process? */
obj_t BGl_z62processzf3z91zz__processz00(obj_t BgL_envz00_1825, obj_t BgL_objz00_1826)
{
{ /* Llib/process.scm 123 */
return 
BBOOL(
BGl_processzf3zf3zz__processz00(BgL_objz00_1826));} 

}



/* process-nil */
BGL_EXPORTED_DEF obj_t BGl_processzd2nilzd2zz__processz00(void)
{
{ /* Llib/process.scm 129 */
BGL_TAIL return 
bgl_process_nil();} 

}



/* &process-nil */
obj_t BGl_z62processzd2nilzb0zz__processz00(obj_t BgL_envz00_1827)
{
{ /* Llib/process.scm 129 */
return 
BGl_processzd2nilzd2zz__processz00();} 

}



/* process-pid */
BGL_EXPORTED_DEF int BGl_processzd2pidzd2zz__processz00(obj_t BgL_procz00_4)
{
{ /* Llib/process.scm 135 */
return 
PROCESS_PID(BgL_procz00_4);} 

}



/* &process-pid */
obj_t BGl_z62processzd2pidzb0zz__processz00(obj_t BgL_envz00_1828, obj_t BgL_procz00_1829)
{
{ /* Llib/process.scm 135 */
{ /* Llib/process.scm 136 */
 int BgL_tmpz00_1952;
{ /* Llib/process.scm 136 */
 obj_t BgL_auxz00_1953;
if(
PROCESSP(BgL_procz00_1829))
{ /* Llib/process.scm 136 */
BgL_auxz00_1953 = BgL_procz00_1829
; }  else 
{ 
 obj_t BgL_auxz00_1956;
BgL_auxz00_1956 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1694z00zz__processz00, 
BINT(5714L), BGl_string1695z00zz__processz00, BGl_string1696z00zz__processz00, BgL_procz00_1829); 
FAILURE(BgL_auxz00_1956,BFALSE,BFALSE);} 
BgL_tmpz00_1952 = 
BGl_processzd2pidzd2zz__processz00(BgL_auxz00_1953); } 
return 
BINT(BgL_tmpz00_1952);} } 

}



/* process-output-port */
BGL_EXPORTED_DEF obj_t BGl_processzd2outputzd2portz00zz__processz00(obj_t BgL_procz00_5)
{
{ /* Llib/process.scm 141 */
return 
PROCESS_OUTPUT_PORT(BgL_procz00_5);} 

}



/* &process-output-port */
obj_t BGl_z62processzd2outputzd2portz62zz__processz00(obj_t BgL_envz00_1830, obj_t BgL_procz00_1831)
{
{ /* Llib/process.scm 141 */
{ /* Llib/process.scm 142 */
 obj_t BgL_auxz00_1963;
if(
PROCESSP(BgL_procz00_1831))
{ /* Llib/process.scm 142 */
BgL_auxz00_1963 = BgL_procz00_1831
; }  else 
{ 
 obj_t BgL_auxz00_1966;
BgL_auxz00_1966 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1694z00zz__processz00, 
BINT(6004L), BGl_string1697z00zz__processz00, BGl_string1696z00zz__processz00, BgL_procz00_1831); 
FAILURE(BgL_auxz00_1966,BFALSE,BFALSE);} 
return 
BGl_processzd2outputzd2portz00zz__processz00(BgL_auxz00_1963);} } 

}



/* process-input-port */
BGL_EXPORTED_DEF obj_t BGl_processzd2inputzd2portz00zz__processz00(obj_t BgL_procz00_6)
{
{ /* Llib/process.scm 147 */
return 
PROCESS_INPUT_PORT(BgL_procz00_6);} 

}



/* &process-input-port */
obj_t BGl_z62processzd2inputzd2portz62zz__processz00(obj_t BgL_envz00_1832, obj_t BgL_procz00_1833)
{
{ /* Llib/process.scm 147 */
{ /* Llib/process.scm 148 */
 obj_t BgL_auxz00_1972;
if(
PROCESSP(BgL_procz00_1833))
{ /* Llib/process.scm 148 */
BgL_auxz00_1972 = BgL_procz00_1833
; }  else 
{ 
 obj_t BgL_auxz00_1975;
BgL_auxz00_1975 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1694z00zz__processz00, 
BINT(6301L), BGl_string1698z00zz__processz00, BGl_string1696z00zz__processz00, BgL_procz00_1833); 
FAILURE(BgL_auxz00_1975,BFALSE,BFALSE);} 
return 
BGl_processzd2inputzd2portz00zz__processz00(BgL_auxz00_1972);} } 

}



/* process-error-port */
BGL_EXPORTED_DEF obj_t BGl_processzd2errorzd2portz00zz__processz00(obj_t BgL_procz00_7)
{
{ /* Llib/process.scm 153 */
return 
PROCESS_ERROR_PORT(BgL_procz00_7);} 

}



/* &process-error-port */
obj_t BGl_z62processzd2errorzd2portz62zz__processz00(obj_t BgL_envz00_1834, obj_t BgL_procz00_1835)
{
{ /* Llib/process.scm 153 */
{ /* Llib/process.scm 154 */
 obj_t BgL_auxz00_1981;
if(
PROCESSP(BgL_procz00_1835))
{ /* Llib/process.scm 154 */
BgL_auxz00_1981 = BgL_procz00_1835
; }  else 
{ 
 obj_t BgL_auxz00_1984;
BgL_auxz00_1984 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1694z00zz__processz00, 
BINT(6597L), BGl_string1699z00zz__processz00, BGl_string1696z00zz__processz00, BgL_procz00_1835); 
FAILURE(BgL_auxz00_1984,BFALSE,BFALSE);} 
return 
BGl_processzd2errorzd2portz00zz__processz00(BgL_auxz00_1981);} } 

}



/* process-alive? */
BGL_EXPORTED_DEF bool_t BGl_processzd2alivezf3z21zz__processz00(obj_t BgL_procz00_8)
{
{ /* Llib/process.scm 159 */
BGL_TAIL return 
c_process_alivep(BgL_procz00_8);} 

}



/* &process-alive? */
obj_t BGl_z62processzd2alivezf3z43zz__processz00(obj_t BgL_envz00_1836, obj_t BgL_procz00_1837)
{
{ /* Llib/process.scm 159 */
{ /* Llib/process.scm 160 */
 bool_t BgL_tmpz00_1990;
{ /* Llib/process.scm 160 */
 obj_t BgL_auxz00_1991;
if(
PROCESSP(BgL_procz00_1837))
{ /* Llib/process.scm 160 */
BgL_auxz00_1991 = BgL_procz00_1837
; }  else 
{ 
 obj_t BgL_auxz00_1994;
BgL_auxz00_1994 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1694z00zz__processz00, 
BINT(6889L), BGl_string1700z00zz__processz00, BGl_string1696z00zz__processz00, BgL_procz00_1837); 
FAILURE(BgL_auxz00_1994,BFALSE,BFALSE);} 
BgL_tmpz00_1990 = 
BGl_processzd2alivezf3z21zz__processz00(BgL_auxz00_1991); } 
return 
BBOOL(BgL_tmpz00_1990);} } 

}



/* process-wait */
BGL_EXPORTED_DEF bool_t BGl_processzd2waitzd2zz__processz00(obj_t BgL_procz00_9)
{
{ /* Llib/process.scm 165 */
if(
c_process_alivep(BgL_procz00_9))
{ /* Llib/process.scm 166 */
return 
CBOOL(
c_process_wait(BgL_procz00_9));}  else 
{ /* Llib/process.scm 166 */
return ((bool_t)0);} } 

}



/* &process-wait */
obj_t BGl_z62processzd2waitzb0zz__processz00(obj_t BgL_envz00_1838, obj_t BgL_procz00_1839)
{
{ /* Llib/process.scm 165 */
{ /* Llib/process.scm 166 */
 bool_t BgL_tmpz00_2004;
{ /* Llib/process.scm 166 */
 obj_t BgL_auxz00_2005;
if(
PROCESSP(BgL_procz00_1839))
{ /* Llib/process.scm 166 */
BgL_auxz00_2005 = BgL_procz00_1839
; }  else 
{ 
 obj_t BgL_auxz00_2008;
BgL_auxz00_2008 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1694z00zz__processz00, 
BINT(7175L), BGl_string1701z00zz__processz00, BGl_string1696z00zz__processz00, BgL_procz00_1839); 
FAILURE(BgL_auxz00_2008,BFALSE,BFALSE);} 
BgL_tmpz00_2004 = 
BGl_processzd2waitzd2zz__processz00(BgL_auxz00_2005); } 
return 
BBOOL(BgL_tmpz00_2004);} } 

}



/* process-exit-status */
BGL_EXPORTED_DEF obj_t BGl_processzd2exitzd2statusz00zz__processz00(obj_t BgL_procz00_10)
{
{ /* Llib/process.scm 172 */
BGL_TAIL return 
c_process_xstatus(BgL_procz00_10);} 

}



/* &process-exit-status */
obj_t BGl_z62processzd2exitzd2statusz62zz__processz00(obj_t BgL_envz00_1840, obj_t BgL_procz00_1841)
{
{ /* Llib/process.scm 172 */
{ /* Llib/process.scm 173 */
 obj_t BgL_auxz00_2015;
if(
PROCESSP(BgL_procz00_1841))
{ /* Llib/process.scm 173 */
BgL_auxz00_2015 = BgL_procz00_1841
; }  else 
{ 
 obj_t BgL_auxz00_2018;
BgL_auxz00_2018 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1694z00zz__processz00, 
BINT(7500L), BGl_string1702z00zz__processz00, BGl_string1696z00zz__processz00, BgL_procz00_1841); 
FAILURE(BgL_auxz00_2018,BFALSE,BFALSE);} 
return 
BGl_processzd2exitzd2statusz00zz__processz00(BgL_auxz00_2015);} } 

}



/* process-send-signal */
BGL_EXPORTED_DEF obj_t BGl_processzd2sendzd2signalz00zz__processz00(obj_t BgL_procz00_11, int BgL_signalz00_12)
{
{ /* Llib/process.scm 178 */
BGL_TAIL return 
c_process_send_signal(BgL_procz00_11, BgL_signalz00_12);} 

}



/* &process-send-signal */
obj_t BGl_z62processzd2sendzd2signalz62zz__processz00(obj_t BgL_envz00_1842, obj_t BgL_procz00_1843, obj_t BgL_signalz00_1844)
{
{ /* Llib/process.scm 178 */
{ /* Llib/process.scm 179 */
 int BgL_auxz00_2031; obj_t BgL_auxz00_2024;
{ /* Llib/process.scm 179 */
 obj_t BgL_tmpz00_2032;
if(
INTEGERP(BgL_signalz00_1844))
{ /* Llib/process.scm 179 */
BgL_tmpz00_2032 = BgL_signalz00_1844
; }  else 
{ 
 obj_t BgL_auxz00_2035;
BgL_auxz00_2035 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1694z00zz__processz00, 
BINT(7805L), BGl_string1703z00zz__processz00, BGl_string1704z00zz__processz00, BgL_signalz00_1844); 
FAILURE(BgL_auxz00_2035,BFALSE,BFALSE);} 
BgL_auxz00_2031 = 
CINT(BgL_tmpz00_2032); } 
if(
PROCESSP(BgL_procz00_1843))
{ /* Llib/process.scm 179 */
BgL_auxz00_2024 = BgL_procz00_1843
; }  else 
{ 
 obj_t BgL_auxz00_2027;
BgL_auxz00_2027 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1694z00zz__processz00, 
BINT(7805L), BGl_string1703z00zz__processz00, BGl_string1696z00zz__processz00, BgL_procz00_1843); 
FAILURE(BgL_auxz00_2027,BFALSE,BFALSE);} 
return 
BGl_processzd2sendzd2signalz00zz__processz00(BgL_auxz00_2024, BgL_auxz00_2031);} } 

}



/* process-kill */
BGL_EXPORTED_DEF obj_t BGl_processzd2killzd2zz__processz00(obj_t BgL_procz00_13)
{
{ /* Llib/process.scm 184 */
c_process_kill(BgL_procz00_13); 
BGL_TAIL return 
BGl_closezd2processzd2portsz00zz__processz00(BgL_procz00_13);} 

}



/* &process-kill */
obj_t BGl_z62processzd2killzb0zz__processz00(obj_t BgL_envz00_1845, obj_t BgL_procz00_1846)
{
{ /* Llib/process.scm 184 */
{ /* Llib/process.scm 185 */
 obj_t BgL_auxz00_2043;
if(
PROCESSP(BgL_procz00_1846))
{ /* Llib/process.scm 185 */
BgL_auxz00_2043 = BgL_procz00_1846
; }  else 
{ 
 obj_t BgL_auxz00_2046;
BgL_auxz00_2046 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1694z00zz__processz00, 
BINT(8123L), BGl_string1705z00zz__processz00, BGl_string1696z00zz__processz00, BgL_procz00_1846); 
FAILURE(BgL_auxz00_2046,BFALSE,BFALSE);} 
return 
BGl_processzd2killzd2zz__processz00(BgL_auxz00_2043);} } 

}



/* process-stop */
BGL_EXPORTED_DEF obj_t BGl_processzd2stopzd2zz__processz00(obj_t BgL_procz00_14)
{
{ /* Llib/process.scm 191 */
BGL_TAIL return 
c_process_stop(BgL_procz00_14);} 

}



/* &process-stop */
obj_t BGl_z62processzd2stopzb0zz__processz00(obj_t BgL_envz00_1847, obj_t BgL_procz00_1848)
{
{ /* Llib/process.scm 191 */
{ /* Llib/process.scm 192 */
 obj_t BgL_auxz00_2052;
if(
PROCESSP(BgL_procz00_1848))
{ /* Llib/process.scm 192 */
BgL_auxz00_2052 = BgL_procz00_1848
; }  else 
{ 
 obj_t BgL_auxz00_2055;
BgL_auxz00_2055 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1694z00zz__processz00, 
BINT(8417L), BGl_string1706z00zz__processz00, BGl_string1696z00zz__processz00, BgL_procz00_1848); 
FAILURE(BgL_auxz00_2055,BFALSE,BFALSE);} 
return 
BGl_processzd2stopzd2zz__processz00(BgL_auxz00_2052);} } 

}



/* process-continue */
BGL_EXPORTED_DEF obj_t BGl_processzd2continuezd2zz__processz00(obj_t BgL_procz00_15)
{
{ /* Llib/process.scm 197 */
BGL_TAIL return 
c_process_continue(BgL_procz00_15);} 

}



/* &process-continue */
obj_t BGl_z62processzd2continuezb0zz__processz00(obj_t BgL_envz00_1849, obj_t BgL_procz00_1850)
{
{ /* Llib/process.scm 197 */
{ /* Llib/process.scm 198 */
 obj_t BgL_auxz00_2061;
if(
PROCESSP(BgL_procz00_1850))
{ /* Llib/process.scm 198 */
BgL_auxz00_2061 = BgL_procz00_1850
; }  else 
{ 
 obj_t BgL_auxz00_2064;
BgL_auxz00_2064 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1694z00zz__processz00, 
BINT(8705L), BGl_string1707z00zz__processz00, BGl_string1696z00zz__processz00, BgL_procz00_1850); 
FAILURE(BgL_auxz00_2064,BFALSE,BFALSE);} 
return 
BGl_processzd2continuezd2zz__processz00(BgL_auxz00_2061);} } 

}



/* process-list */
BGL_EXPORTED_DEF obj_t BGl_processzd2listzd2zz__processz00(void)
{
{ /* Llib/process.scm 203 */
BGL_TAIL return 
c_process_list();} 

}



/* &process-list */
obj_t BGl_z62processzd2listzb0zz__processz00(obj_t BgL_envz00_1851)
{
{ /* Llib/process.scm 203 */
return 
BGl_processzd2listzd2zz__processz00();} 

}



/* run-process */
BGL_EXPORTED_DEF obj_t BGl_runzd2processzd2zz__processz00(obj_t BgL_commandz00_16, obj_t BgL_restz00_17)
{
{ /* Llib/process.scm 212 */
{ /* Llib/process.scm 213 */
 bool_t BgL_forkz00_1118; bool_t BgL_waitz00_1119; obj_t BgL_inputz00_1120; obj_t BgL_outputz00_1121; obj_t BgL_errorz00_1122; obj_t BgL_hostz00_1123; obj_t BgL_pipesz00_1124; obj_t BgL_argsz00_1125; obj_t BgL_envz00_1126;
BgL_forkz00_1118 = ((bool_t)1); 
BgL_waitz00_1119 = ((bool_t)0); 
BgL_inputz00_1120 = BUNSPEC; 
BgL_outputz00_1121 = BUNSPEC; 
BgL_errorz00_1122 = BUNSPEC; 
BgL_hostz00_1123 = BUNSPEC; 
BgL_pipesz00_1124 = BGl_list1708z00zz__processz00; 
BgL_argsz00_1125 = BNIL; 
BgL_envz00_1126 = BNIL; 
{ 
 obj_t BgL_restz00_1129;
{ /* Llib/process.scm 224 */
 obj_t BgL_aux1680z00_1902;
BgL_restz00_1129 = BgL_restz00_17; 
BgL_zc3z04anonymousza31157ze3z87_1130:
if(
NULLP(BgL_restz00_1129))
{ /* Llib/process.scm 229 */
 obj_t BgL_arg1159z00_1132;
BgL_arg1159z00_1132 = 
bgl_reverse_bang(BgL_argsz00_1125); 
BgL_aux1680z00_1902 = 
c_run_process(BgL_hostz00_1123, 
BBOOL(BgL_forkz00_1118), 
BBOOL(BgL_waitz00_1119), BgL_inputz00_1120, BgL_outputz00_1121, BgL_errorz00_1122, BgL_commandz00_16, BgL_arg1159z00_1132, BgL_envz00_1126); }  else 
{ /* Llib/process.scm 230 */
 bool_t BgL_test1806z00_2077;
{ /* Llib/process.scm 230 */
 bool_t BgL_test1807z00_2078;
{ /* Llib/process.scm 230 */
 obj_t BgL_tmpz00_2079;
{ /* Llib/process.scm 230 */
 obj_t BgL_pairz00_1607;
if(
PAIRP(BgL_restz00_1129))
{ /* Llib/process.scm 230 */
BgL_pairz00_1607 = BgL_restz00_1129; }  else 
{ 
 obj_t BgL_auxz00_2082;
BgL_auxz00_2082 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1694z00zz__processz00, 
BINT(9937L), BGl_string1711z00zz__processz00, BGl_string1712z00zz__processz00, BgL_restz00_1129); 
FAILURE(BgL_auxz00_2082,BFALSE,BFALSE);} 
BgL_tmpz00_2079 = 
CAR(BgL_pairz00_1607); } 
BgL_test1807z00_2078 = 
KEYWORDP(BgL_tmpz00_2079); } 
if(BgL_test1807z00_2078)
{ /* Llib/process.scm 230 */
 obj_t BgL_tmpz00_2088;
{ /* Llib/process.scm 230 */
 obj_t BgL_pairz00_1608;
if(
PAIRP(BgL_restz00_1129))
{ /* Llib/process.scm 230 */
BgL_pairz00_1608 = BgL_restz00_1129; }  else 
{ 
 obj_t BgL_auxz00_2091;
BgL_auxz00_2091 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1694z00zz__processz00, 
BINT(9956L), BGl_string1711z00zz__processz00, BGl_string1712z00zz__processz00, BgL_restz00_1129); 
FAILURE(BgL_auxz00_2091,BFALSE,BFALSE);} 
BgL_tmpz00_2088 = 
CDR(BgL_pairz00_1608); } 
BgL_test1806z00_2077 = 
PAIRP(BgL_tmpz00_2088); }  else 
{ /* Llib/process.scm 230 */
BgL_test1806z00_2077 = ((bool_t)0)
; } } 
if(BgL_test1806z00_2077)
{ /* Llib/process.scm 231 */
 obj_t BgL_valz00_1138;
{ /* Llib/process.scm 231 */
 obj_t BgL_pairz00_1609;
if(
PAIRP(BgL_restz00_1129))
{ /* Llib/process.scm 231 */
BgL_pairz00_1609 = BgL_restz00_1129; }  else 
{ 
 obj_t BgL_auxz00_2099;
BgL_auxz00_2099 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1694z00zz__processz00, 
BINT(9987L), BGl_string1711z00zz__processz00, BGl_string1712z00zz__processz00, BgL_restz00_1129); 
FAILURE(BgL_auxz00_2099,BFALSE,BFALSE);} 
{ /* Llib/process.scm 231 */
 obj_t BgL_pairz00_1612;
{ /* Llib/process.scm 231 */
 obj_t BgL_aux1666z00_1888;
BgL_aux1666z00_1888 = 
CDR(BgL_pairz00_1609); 
if(
PAIRP(BgL_aux1666z00_1888))
{ /* Llib/process.scm 231 */
BgL_pairz00_1612 = BgL_aux1666z00_1888; }  else 
{ 
 obj_t BgL_auxz00_2106;
BgL_auxz00_2106 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1694z00zz__processz00, 
BINT(9981L), BGl_string1711z00zz__processz00, BGl_string1712z00zz__processz00, BgL_aux1666z00_1888); 
FAILURE(BgL_auxz00_2106,BFALSE,BFALSE);} } 
BgL_valz00_1138 = 
CAR(BgL_pairz00_1612); } } 
{ /* Llib/process.scm 232 */
 obj_t BgL_casezd2valuezd2_1139;
{ /* Llib/process.scm 232 */
 obj_t BgL_pairz00_1613;
if(
PAIRP(BgL_restz00_1129))
{ /* Llib/process.scm 232 */
BgL_pairz00_1613 = BgL_restz00_1129; }  else 
{ 
 obj_t BgL_auxz00_2113;
BgL_auxz00_2113 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1694z00zz__processz00, 
BINT(10008L), BGl_string1711z00zz__processz00, BGl_string1712z00zz__processz00, BgL_restz00_1129); 
FAILURE(BgL_auxz00_2113,BFALSE,BFALSE);} 
BgL_casezd2valuezd2_1139 = 
CAR(BgL_pairz00_1613); } 
if(
(BgL_casezd2valuezd2_1139==BGl_keyword1713z00zz__processz00))
{ /* Llib/process.scm 232 */
if(
BOOLEANP(BgL_valz00_1138))
{ /* Llib/process.scm 234 */
BgL_waitz00_1119 = 
CBOOL(BgL_valz00_1138); }  else 
{ /* Llib/process.scm 234 */
BGl_errorz00zz__errorz00(BGl_string1715z00zz__processz00, BGl_string1716z00zz__processz00, BgL_restz00_1129); } }  else 
{ /* Llib/process.scm 232 */
if(
(BgL_casezd2valuezd2_1139==BGl_keyword1717z00zz__processz00))
{ /* Llib/process.scm 232 */
if(
BOOLEANP(BgL_valz00_1138))
{ /* Llib/process.scm 238 */
BgL_forkz00_1118 = 
CBOOL(BgL_valz00_1138); }  else 
{ /* Llib/process.scm 238 */
BGl_errorz00zz__errorz00(BGl_string1715z00zz__processz00, BGl_string1716z00zz__processz00, BgL_restz00_1129); } }  else 
{ /* Llib/process.scm 232 */
if(
(BgL_casezd2valuezd2_1139==BGl_keyword1719z00zz__processz00))
{ /* Llib/process.scm 242 */
 bool_t BgL_test1818z00_2132;
if(
STRINGP(BgL_valz00_1138))
{ /* Llib/process.scm 242 */
BgL_test1818z00_2132 = ((bool_t)1)
; }  else 
{ /* Llib/process.scm 242 */
BgL_test1818z00_2132 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_valz00_1138, BgL_pipesz00_1124))
; } 
if(BgL_test1818z00_2132)
{ /* Llib/process.scm 242 */
BgL_inputz00_1120 = BgL_valz00_1138; }  else 
{ /* Llib/process.scm 242 */
BGl_errorz00zz__errorz00(BGl_string1715z00zz__processz00, BGl_string1716z00zz__processz00, BgL_restz00_1129); } }  else 
{ /* Llib/process.scm 232 */
if(
(BgL_casezd2valuezd2_1139==BGl_keyword1721z00zz__processz00))
{ /* Llib/process.scm 246 */
 bool_t BgL_test1821z00_2140;
if(
STRINGP(BgL_valz00_1138))
{ /* Llib/process.scm 246 */
BgL_test1821z00_2140 = ((bool_t)1)
; }  else 
{ /* Llib/process.scm 246 */
if(
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_valz00_1138, BgL_pipesz00_1124)))
{ /* Llib/process.scm 246 */
BgL_test1821z00_2140 = ((bool_t)1)
; }  else 
{ /* Llib/process.scm 246 */
BgL_test1821z00_2140 = 
(BgL_valz00_1138==BGl_keyword1723z00zz__processz00)
; } } 
if(BgL_test1821z00_2140)
{ /* Llib/process.scm 246 */
BgL_outputz00_1121 = BgL_valz00_1138; }  else 
{ /* Llib/process.scm 246 */
BGl_errorz00zz__errorz00(BGl_string1715z00zz__processz00, BGl_string1716z00zz__processz00, BgL_restz00_1129); } }  else 
{ /* Llib/process.scm 232 */
if(
(BgL_casezd2valuezd2_1139==BGl_keyword1725z00zz__processz00))
{ /* Llib/process.scm 250 */
 bool_t BgL_test1825z00_2150;
if(
STRINGP(BgL_valz00_1138))
{ /* Llib/process.scm 250 */
BgL_test1825z00_2150 = ((bool_t)1)
; }  else 
{ /* Llib/process.scm 250 */
if(
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_valz00_1138, BgL_pipesz00_1124)))
{ /* Llib/process.scm 250 */
BgL_test1825z00_2150 = ((bool_t)1)
; }  else 
{ /* Llib/process.scm 250 */
BgL_test1825z00_2150 = 
(BgL_valz00_1138==BGl_keyword1723z00zz__processz00)
; } } 
if(BgL_test1825z00_2150)
{ /* Llib/process.scm 250 */
BgL_errorz00_1122 = BgL_valz00_1138; }  else 
{ /* Llib/process.scm 250 */
BGl_errorz00zz__errorz00(BGl_string1715z00zz__processz00, BGl_string1716z00zz__processz00, BgL_restz00_1129); } }  else 
{ /* Llib/process.scm 232 */
if(
(BgL_casezd2valuezd2_1139==BGl_keyword1727z00zz__processz00))
{ /* Llib/process.scm 232 */
if(
STRINGP(BgL_valz00_1138))
{ /* Llib/process.scm 254 */
BgL_hostz00_1123 = BgL_valz00_1138; }  else 
{ /* Llib/process.scm 254 */
BGl_errorz00zz__errorz00(BGl_string1715z00zz__processz00, BGl_string1716z00zz__processz00, BgL_restz00_1129); } }  else 
{ /* Llib/process.scm 232 */
if(
(BgL_casezd2valuezd2_1139==BGl_keyword1729z00zz__processz00))
{ /* Llib/process.scm 232 */
if(
STRINGP(BgL_valz00_1138))
{ /* Llib/process.scm 258 */
BgL_envz00_1126 = 
MAKE_YOUNG_PAIR(BgL_valz00_1138, BgL_envz00_1126); }  else 
{ /* Llib/process.scm 258 */
BGl_errorz00zz__errorz00(BGl_string1715z00zz__processz00, BGl_string1716z00zz__processz00, BgL_restz00_1129); } }  else 
{ /* Llib/process.scm 232 */
BGl_errorz00zz__errorz00(BGl_string1715z00zz__processz00, BGl_string1716z00zz__processz00, BgL_restz00_1129); } } } } } } } } 
{ /* Llib/process.scm 263 */
 obj_t BgL_arg1187z00_1164;
{ /* Llib/process.scm 263 */
 obj_t BgL_pairz00_1622;
{ /* Llib/process.scm 263 */
 obj_t BgL_pairz00_1621;
if(
PAIRP(BgL_restz00_1129))
{ /* Llib/process.scm 263 */
BgL_pairz00_1621 = BgL_restz00_1129; }  else 
{ 
 obj_t BgL_auxz00_2172;
BgL_auxz00_2172 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1694z00zz__processz00, 
BINT(10738L), BGl_string1711z00zz__processz00, BGl_string1712z00zz__processz00, BgL_restz00_1129); 
FAILURE(BgL_auxz00_2172,BFALSE,BFALSE);} 
{ /* Llib/process.scm 263 */
 obj_t BgL_aux1672z00_1894;
BgL_aux1672z00_1894 = 
CDR(BgL_pairz00_1621); 
if(
PAIRP(BgL_aux1672z00_1894))
{ /* Llib/process.scm 263 */
BgL_pairz00_1622 = BgL_aux1672z00_1894; }  else 
{ 
 obj_t BgL_auxz00_2179;
BgL_auxz00_2179 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1694z00zz__processz00, 
BINT(10733L), BGl_string1711z00zz__processz00, BGl_string1712z00zz__processz00, BgL_aux1672z00_1894); 
FAILURE(BgL_auxz00_2179,BFALSE,BFALSE);} } } 
BgL_arg1187z00_1164 = 
CDR(BgL_pairz00_1622); } 
{ 
 obj_t BgL_restz00_2184;
BgL_restz00_2184 = BgL_arg1187z00_1164; 
BgL_restz00_1129 = BgL_restz00_2184; 
goto BgL_zc3z04anonymousza31157ze3z87_1130;} } }  else 
{ /* Llib/process.scm 264 */
 bool_t BgL_test1834z00_2185;
{ /* Llib/process.scm 264 */
 obj_t BgL_tmpz00_2186;
{ /* Llib/process.scm 264 */
 obj_t BgL_pairz00_1623;
if(
PAIRP(BgL_restz00_1129))
{ /* Llib/process.scm 264 */
BgL_pairz00_1623 = BgL_restz00_1129; }  else 
{ 
 obj_t BgL_auxz00_2189;
BgL_auxz00_2189 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1694z00zz__processz00, 
BINT(10768L), BGl_string1711z00zz__processz00, BGl_string1712z00zz__processz00, BgL_restz00_1129); 
FAILURE(BgL_auxz00_2189,BFALSE,BFALSE);} 
BgL_tmpz00_2186 = 
CAR(BgL_pairz00_1623); } 
BgL_test1834z00_2185 = 
STRINGP(BgL_tmpz00_2186); } 
if(BgL_test1834z00_2185)
{ /* Llib/process.scm 264 */
{ /* Llib/process.scm 265 */
 obj_t BgL_arg1194z00_1168;
{ /* Llib/process.scm 265 */
 obj_t BgL_pairz00_1624;
if(
PAIRP(BgL_restz00_1129))
{ /* Llib/process.scm 265 */
BgL_pairz00_1624 = BgL_restz00_1129; }  else 
{ 
 obj_t BgL_auxz00_2197;
BgL_auxz00_2197 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1694z00zz__processz00, 
BINT(10803L), BGl_string1711z00zz__processz00, BGl_string1712z00zz__processz00, BgL_restz00_1129); 
FAILURE(BgL_auxz00_2197,BFALSE,BFALSE);} 
BgL_arg1194z00_1168 = 
CAR(BgL_pairz00_1624); } 
BgL_argsz00_1125 = 
MAKE_YOUNG_PAIR(BgL_arg1194z00_1168, BgL_argsz00_1125); } 
{ /* Llib/process.scm 266 */
 obj_t BgL_arg1195z00_1169;
{ /* Llib/process.scm 266 */
 obj_t BgL_pairz00_1625;
if(
PAIRP(BgL_restz00_1129))
{ /* Llib/process.scm 266 */
BgL_pairz00_1625 = BgL_restz00_1129; }  else 
{ 
 obj_t BgL_auxz00_2205;
BgL_auxz00_2205 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1694z00zz__processz00, 
BINT(10833L), BGl_string1711z00zz__processz00, BGl_string1712z00zz__processz00, BgL_restz00_1129); 
FAILURE(BgL_auxz00_2205,BFALSE,BFALSE);} 
BgL_arg1195z00_1169 = 
CDR(BgL_pairz00_1625); } 
{ 
 obj_t BgL_restz00_2210;
BgL_restz00_2210 = BgL_arg1195z00_1169; 
BgL_restz00_1129 = BgL_restz00_2210; 
goto BgL_zc3z04anonymousza31157ze3z87_1130;} } }  else 
{ /* Llib/process.scm 264 */
BgL_aux1680z00_1902 = 
BGl_errorz00zz__errorz00(BGl_string1715z00zz__processz00, BGl_string1716z00zz__processz00, BgL_restz00_1129); } } } 
if(
PROCESSP(BgL_aux1680z00_1902))
{ /* Llib/process.scm 224 */
return BgL_aux1680z00_1902;}  else 
{ 
 obj_t BgL_auxz00_2214;
BgL_auxz00_2214 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1694z00zz__processz00, 
BINT(9761L), BGl_string1715z00zz__processz00, BGl_string1696z00zz__processz00, BgL_aux1680z00_1902); 
FAILURE(BgL_auxz00_2214,BFALSE,BFALSE);} } } } } 

}



/* &run-process */
obj_t BGl_z62runzd2processzb0zz__processz00(obj_t BgL_envz00_1852, obj_t BgL_commandz00_1853, obj_t BgL_restz00_1854)
{
{ /* Llib/process.scm 212 */
{ /* Llib/process.scm 213 */
 obj_t BgL_auxz00_2218;
if(
STRINGP(BgL_commandz00_1853))
{ /* Llib/process.scm 213 */
BgL_auxz00_2218 = BgL_commandz00_1853
; }  else 
{ 
 obj_t BgL_auxz00_2221;
BgL_auxz00_2221 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1694z00zz__processz00, 
BINT(9491L), BGl_string1731z00zz__processz00, BGl_string1732z00zz__processz00, BgL_commandz00_1853); 
FAILURE(BgL_auxz00_2221,BFALSE,BFALSE);} 
return 
BGl_runzd2processzd2zz__processz00(BgL_auxz00_2218, BgL_restz00_1854);} } 

}



/* close-process-ports */
BGL_EXPORTED_DEF obj_t BGl_closezd2processzd2portsz00zz__processz00(obj_t BgL_procz00_18)
{
{ /* Llib/process.scm 273 */
{ /* Llib/process.scm 274 */
 bool_t BgL_test1840z00_2226;
{ /* Llib/process.scm 274 */
 obj_t BgL_tmpz00_2227;
BgL_tmpz00_2227 = 
PROCESS_INPUT_PORT(BgL_procz00_18); 
BgL_test1840z00_2226 = 
OUTPUT_PORTP(BgL_tmpz00_2227); } 
if(BgL_test1840z00_2226)
{ /* Llib/process.scm 275 */
 obj_t BgL_arg1206z00_1180;
BgL_arg1206z00_1180 = 
PROCESS_INPUT_PORT(BgL_procz00_18); 
{ /* Llib/process.scm 275 */
 obj_t BgL_portz00_1628;
if(
OUTPUT_PORTP(BgL_arg1206z00_1180))
{ /* Llib/process.scm 275 */
BgL_portz00_1628 = BgL_arg1206z00_1180; }  else 
{ 
 obj_t BgL_auxz00_2233;
BgL_auxz00_2233 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1694z00zz__processz00, 
BINT(11236L), BGl_string1733z00zz__processz00, BGl_string1734z00zz__processz00, BgL_arg1206z00_1180); 
FAILURE(BgL_auxz00_2233,BFALSE,BFALSE);} 
bgl_close_output_port(BgL_portz00_1628); } }  else 
{ /* Llib/process.scm 274 */BFALSE; } } 
{ /* Llib/process.scm 276 */
 bool_t BgL_test1842z00_2238;
{ /* Llib/process.scm 276 */
 obj_t BgL_tmpz00_2239;
BgL_tmpz00_2239 = 
PROCESS_ERROR_PORT(BgL_procz00_18); 
BgL_test1842z00_2238 = 
INPUT_PORTP(BgL_tmpz00_2239); } 
if(BgL_test1842z00_2238)
{ /* Llib/process.scm 277 */
 obj_t BgL_arg1211z00_1184;
BgL_arg1211z00_1184 = 
PROCESS_ERROR_PORT(BgL_procz00_18); 
{ /* Llib/process.scm 277 */
 obj_t BgL_portz00_1631;
if(
INPUT_PORTP(BgL_arg1211z00_1184))
{ /* Llib/process.scm 277 */
BgL_portz00_1631 = BgL_arg1211z00_1184; }  else 
{ 
 obj_t BgL_auxz00_2245;
BgL_auxz00_2245 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1694z00zz__processz00, 
BINT(11336L), BGl_string1733z00zz__processz00, BGl_string1735z00zz__processz00, BgL_arg1211z00_1184); 
FAILURE(BgL_auxz00_2245,BFALSE,BFALSE);} 
bgl_close_input_port(BgL_portz00_1631); } }  else 
{ /* Llib/process.scm 276 */BFALSE; } } 
{ /* Llib/process.scm 278 */
 bool_t BgL_test1844z00_2250;
{ /* Llib/process.scm 278 */
 obj_t BgL_tmpz00_2251;
BgL_tmpz00_2251 = 
PROCESS_OUTPUT_PORT(BgL_procz00_18); 
BgL_test1844z00_2250 = 
INPUT_PORTP(BgL_tmpz00_2251); } 
if(BgL_test1844z00_2250)
{ /* Llib/process.scm 279 */
 obj_t BgL_arg1217z00_1188;
BgL_arg1217z00_1188 = 
PROCESS_OUTPUT_PORT(BgL_procz00_18); 
{ /* Llib/process.scm 279 */
 obj_t BgL_portz00_1634;
if(
INPUT_PORTP(BgL_arg1217z00_1188))
{ /* Llib/process.scm 279 */
BgL_portz00_1634 = BgL_arg1217z00_1188; }  else 
{ 
 obj_t BgL_auxz00_2257;
BgL_auxz00_2257 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1694z00zz__processz00, 
BINT(11438L), BGl_string1733z00zz__processz00, BGl_string1735z00zz__processz00, BgL_arg1217z00_1188); 
FAILURE(BgL_auxz00_2257,BFALSE,BFALSE);} 
return 
bgl_close_input_port(BgL_portz00_1634);} }  else 
{ /* Llib/process.scm 278 */
return BFALSE;} } } 

}



/* &close-process-ports */
obj_t BGl_z62closezd2processzd2portsz62zz__processz00(obj_t BgL_envz00_1855, obj_t BgL_procz00_1856)
{
{ /* Llib/process.scm 273 */
{ /* Llib/process.scm 275 */
 obj_t BgL_auxz00_2262;
if(
PROCESSP(BgL_procz00_1856))
{ /* Llib/process.scm 275 */
BgL_auxz00_2262 = BgL_procz00_1856
; }  else 
{ 
 obj_t BgL_auxz00_2265;
BgL_auxz00_2265 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1694z00zz__processz00, 
BINT(11238L), BGl_string1736z00zz__processz00, BGl_string1696z00zz__processz00, BgL_procz00_1856); 
FAILURE(BgL_auxz00_2265,BFALSE,BFALSE);} 
return 
BGl_closezd2processzd2portsz00zz__processz00(BgL_auxz00_2262);} } 

}



/* unregister-process */
BGL_EXPORTED_DEF obj_t BGl_unregisterzd2processzd2zz__processz00(obj_t BgL_procz00_19)
{
{ /* Llib/process.scm 284 */
BGL_TAIL return 
c_unregister_process(BgL_procz00_19);} 

}



/* &unregister-process */
obj_t BGl_z62unregisterzd2processzb0zz__processz00(obj_t BgL_envz00_1857, obj_t BgL_procz00_1858)
{
{ /* Llib/process.scm 284 */
{ /* Llib/process.scm 285 */
 obj_t BgL_auxz00_2271;
if(
PROCESSP(BgL_procz00_1858))
{ /* Llib/process.scm 285 */
BgL_auxz00_2271 = BgL_procz00_1858
; }  else 
{ 
 obj_t BgL_auxz00_2274;
BgL_auxz00_2274 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1694z00zz__processz00, 
BINT(11710L), BGl_string1737z00zz__processz00, BGl_string1696z00zz__processz00, BgL_procz00_1858); 
FAILURE(BgL_auxz00_2274,BFALSE,BFALSE);} 
return 
BGl_unregisterzd2processzd2zz__processz00(BgL_auxz00_2271);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__processz00(void)
{
{ /* Llib/process.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__processz00(void)
{
{ /* Llib/process.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__processz00(void)
{
{ /* Llib/process.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__processz00(void)
{
{ /* Llib/process.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__errorz00(88804785L, 
BSTRING_TO_STRING(BGl_string1738z00zz__processz00));} 

}

#ifdef __cplusplus
}
#endif
